<?php
include "connection.php"; // Include database connection

// Check if the required POST parameters are set
if (isset($_POST['image'], $_POST['name'], $_POST['address'], $_POST['numbar'], $_POST['details'], $_POST['url'], $_POST['cetagory'])) {
    
    // Retrieve POST parameters
    $image = $_POST['image'];
    $name = $_POST['name'];
    $address = $_POST['address'];
    $numbar = $_POST['numbar'];
    $details = $_POST['details'];
    $url = $_POST['url'];
    $cetagory = $_POST['cetagory'];

    // Set target directory for image storage
    $target_dir = "Images/";
    $imageStore = rand() . "_" . time() . ".jpeg"; // Unique image name
    $target_file_path = $target_dir . $imageStore; // Full path for the image

    // Decode and save the image file
    if (file_put_contents($target_file_path, base64_decode($image))) {
        // Prepare the SQL statement for insertion
        $sql = "INSERT INTO shop_list (name, address, numbar, details, url, images, cetagory) VALUES (?, ?, ?, ?, ?, ?, ?)";
        
        // Initialize a prepared statement
        if ($stmt = mysqli_prepare($conn, $sql)) {
            // Bind parameters to the prepared statement
            mysqli_stmt_bind_param($stmt, "sssssss", $name, $address, $numbar, $details, $url, $imageStore, $cetagory);
            
            // Execute the prepared statement
            if (mysqli_stmt_execute($stmt)) {
                echo "Successfully Uploaded";
            } else {
                echo "Upload Failed: " . mysqli_error($conn);
            }

            // Close the statement
            mysqli_stmt_close($stmt);
        } else {
            echo "Failed to prepare the SQL statement: " . mysqli_error($conn);
        }
    } else {
        echo "Failed to save the image file.";
    }

    // Close the database connection
    mysqli_close($conn);
} else {
    echo "Required fields are missing.";
}
?>
