<?php

include "connection.php";

// Set the content type to JSON
header('Content-Type: application/json; charset=utf-8');

// Check if the required POST data is set
if (isset($_POST['image'], $_POST['title'], $_POST['url'], $_POST['c'])) {
    $image = $_POST['image'];
    $title = $_POST['title'];
    $url = $_POST['url'];
    $cetagory = $_POST['c'];
    
    // Define the target directory and generate a unique image filename
    $target_dir = "Images/";
    $imageStore = rand() . "_" . time() . ".jpeg";
    $target_file = $target_dir . $imageStore;

    // Decode and save the image
    if (file_put_contents($target_file, base64_decode($image))) {
        // Prepare the SQL statement to insert data into the database
        $stmt = $conn->prepare("INSERT INTO web_list (url, title, image, cetagory) VALUES (?, ?, ?, ?)");
        $stmt->bind_param("ssss", $url, $title, $imageStore, $cetagory);

        // Execute the statement and check for success
        if ($stmt->execute()) {
            echo json_encode(["message" => "Successfully Uploaded"]);
        } else {
            echo json_encode(["error" => "Upload Failed: " . $stmt->error]);
        }

        // Close the statement
        $stmt->close();
    } else {
        echo json_encode(["error" => "Image upload failed"]);
    }
} else {
    echo json_encode(["error" => "Required fields are missing"]);
}

// Close the database connection
mysqli_close($conn);
?>
