<?php
include "connection.php";

try {
    // Check if the ID parameter is set
    if (isset($_GET['id'])) {
        $id = $_GET['id'];

        // Prepare the delete statement
        if ($stmt = $conn->prepare("DELETE FROM doctor_list WHERE id = ?")) {
            $stmt->bind_param("s", $id); // Use "s" for string. Change to "i" if `id` is an integer.

            if ($stmt->execute()) {
                echo "Data deleted successfully!";
            } else {
                throw new Exception("Data delete failed: " . $stmt->error);
            }

            $stmt->close();
        } else {
            throw new Exception("Failed to prepare statement: " . $conn->error);
        }
    } else {
        throw new Exception("Invalid request. No ID provided.");
    }
} catch (Exception $e) {
    // Handle exceptions
    echo "Error: " . $e->getMessage();
} finally {
    // Close the connection
    if (isset($conn)) {
        $conn->close();
    }
}
?>
