<?php
include "connection.php"; // Ensure this file correctly establishes a connection to the database

// Check if 'text' and 'id' parameters are set
if (isset($_GET['text']) && isset($_GET['id'])) {
    $text = $_GET['text'];
    $id = $_GET['id']; // Use the ID for the specific record to update

    // Debugging: Print values received
    error_log("Updating ads_control: text = $text, id = $id");

    // Prepare the SQL statement
    $stmt = $conn->prepare("UPDATE ads_control SET text = ? WHERE id = ?");
    
    // Check if the statement preparation failed
    if ($stmt === false) {
        die("Prepare failed: " . htmlspecialchars($conn->error));
    }

    // Bind parameters (assuming 'text' is a string and 'id' is an integer)
    $stmt->bind_param("si", $text, $id);

    // Execute the statement and check for success
    if ($stmt->execute()) {
        // Check how many rows were affected
        if ($stmt->affected_rows > 0) {
            echo "Data updated successfully!";
        } else {
            echo "No rows updated. Please check if the ID exists.";
        }
    } else {
        echo "Data update failed: " . htmlspecialchars($stmt->error);
    }

    // Close the prepared statement
    $stmt->close();
} else {
    echo "Invalid request. Please provide both 'text' and 'id'.";
}

// Close the database connection
$conn->close();
?>
