<?php
include("connection.php"); 


mysqli_set_charset($conn, 'utf8mb4');
// Get 'c' parameter from GET request
$cetagory = isset($_GET['c']) ? $_GET['c'] : null;

// Prepare SQL statement based on the presence of 'c'
$sql = "SELECT * FROM doctor_list";
if ($cetagory) {
    $sql .= " WHERE cetagory = '" . mysqli_real_escape_string($conn, $cetagory) . "'";
}

// Execute the query
$result = mysqli_query($conn, $sql);

// Check if the query was successful
if (!$result) {
    header('Content-Type: application/json; charset=utf-8');
    echo json_encode(['error' => 'Query execution failed: ' . mysqli_error($conn)]);
    exit;
}

$data = array();

// Fetch each row as an associative array
while ($item = mysqli_fetch_assoc($result)) {
    $info = array(
        'id' => $item['id'],
        'title' => $item['title'],
        'cetagory' => $item['cetagory'],
        'images' => $item['images']
    );
    $data[] = $info; // Add the row data to the output array
}

// Output the JSON-encoded data with Unicode characters unescaped
echo json_encode($data, JSON_UNESCAPED_UNICODE);

// Close the connection
mysqli_close($conn);
?>
