<?php
// Enable error reporting to catch issues
error_reporting(E_ALL); 

// Include the connection file
include("connection.php");

// Ensure the content type is set to JSON with UTF-8 encoding
header('Content-Type: application/json; charset=utf-8');

// Set the MySQL connection character set to UTF-8
mysqli_set_charset($conn, "utf8mb4");

// Retrieve the category from the GET request
$cetagory = $_GET['cetagory'] ?? ''; // Default to an empty string if not set

// Sanitize the input to prevent SQL injection
$cetagory = mysqli_real_escape_string($conn, $cetagory);

// Query to fetch data based on the category
$sql = "SELECT * FROM doctor_data_list WHERE cetagory = '$cetagory'";
$result = mysqli_query($conn, $sql);

// Check for query errors
if (!$result) {
    die(json_encode(["error" => "Query failed: " . mysqli_error($conn)]));
}

// Initialize an array to hold the data
$data = [];

// Fetch each row and store in the array
while ($item = mysqli_fetch_assoc($result)) {
    $data[] = [
        'id' => $item['id'],
        'name' => $item['name'],
        'expart' => $item['expart'],
        'qualification' => $item['qualification'],
        'details' => $item['details'],
        'phone' => $item['phone'],
        'cetagory' => $item['cetagory'],
        'images' => $item['images']
    ];
}

// Encode the data as JSON, preserving Unicode characters
echo json_encode($data, JSON_UNESCAPED_UNICODE);
?>
